log4cplus::internal::gft_scratch_pad Struct Reference

`#include <internal.h>`

## Public Member Functions

| gft_scratch_pad ()
| ~gft_scratch_pad ()
void | reset ()

## Public Attributes

log4cplus::tstring | q_str
log4cplus::tstring | uc_q_str
log4cplus::tstring | s_str
log4cplus::tstring | ret
log4cplus::tstring | fmt
log4cplus::tstring | tmp
std::vector< tchar > | buffer
bool | uc_q_str_valid
bool | q_str_valid
bool | s_str_valid

## Detailed Description

Definition at line 73 of file internal.h.

## Constructor & Destructor Documentation

## gft_scratch_pad()

log4cplus::internal::gft_scratch_pad::gft_scratch_pad | ( |  | ) |

## ~gft_scratch_pad()

log4cplus::internal::gft_scratch_pad::~gft_scratch_pad | ( |  | ) |

## Member Function Documentation

## reset()

void log4cplus::internal::gft_scratch_pad::reset | ( |  | ) |

inline

Definition at line 79 of file internal.h.

References q_str_valid, ret, s_str_valid, and uc_q_str_valid.

## Member Data Documentation

## buffer

std::vector<tchar> log4cplus::internal::gft_scratch_pad::buffer

Definition at line 93 of file internal.h.

## fmt

log4cplus::tstring log4cplus::internal::gft_scratch_pad::fmt

Definition at line 91 of file internal.h.

## q_str

log4cplus::tstring log4cplus::internal::gft_scratch_pad::q_str

Definition at line 87 of file internal.h.

## q_str_valid

bool log4cplus::internal::gft_scratch_pad::q_str_valid

Definition at line 95 of file internal.h.

Referenced by reset().

## ret

log4cplus::tstring log4cplus::internal::gft_scratch_pad::ret

Definition at line 90 of file internal.h.

Referenced by reset().

## s_str

log4cplus::tstring log4cplus::internal::gft_scratch_pad::s_str

Definition at line 89 of file internal.h.

## s_str_valid

bool log4cplus::internal::gft_scratch_pad::s_str_valid

Definition at line 96 of file internal.h.

Referenced by reset().

## tmp

log4cplus::tstring log4cplus::internal::gft_scratch_pad::tmp

Definition at line 92 of file internal.h.

## uc_q_str

log4cplus::tstring log4cplus::internal::gft_scratch_pad::uc_q_str

Definition at line 88 of file internal.h.

## uc_q_str_valid

bool log4cplus::internal::gft_scratch_pad::uc_q_str_valid

Definition at line 94 of file internal.h.

Referenced by reset().

The documentation for this struct was generated from the following file:

- internal.h